Difference between revisions of "Draft Array/cs"

From FreeCAD Documentation
Jump to: navigation, search
Line 8: Line 8:
 
==Použití==
 
==Použití==
 
# Vyberte objekt, ze kterého chcete udělat pole
 
# Vyberte objekt, ze kterého chcete udělat pole
# Stiskněte tlačítko {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/cs|Pole]]
+
# Stiskněte tlačítko {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/cs|Pole]]}}.
(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na }}. Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)
+
(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)
  
 
==Volby==
 
==Volby==

Revision as of 18:01, 18 May 2014

Draft Array.svg Draft Array

Menu location
Draft -> Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray


Popis

Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.

Draft Array example.jpg

Použití

  1. Vyberte objekt, ze kterého chcete udělat pole
  2. Stiskněte tlačítko Draft Array.png Pole.

(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)

Volby

  • Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.

Vlastnosti

  • DATATyp pole: Specifikuje typ pole ortogonální nebo polární

Pro ortogonální pole:

  • DATAInterval X: Interval mezi kopiemi na první ose
  • DATAInterval Y: Interval mezi kopiemi na druhé ose
  • DATAInterval Z: Interval mezi kopiemi na třetí ose
  • DATANumber X: Počet kopií na první ose
  • DATANumber Y: Počet kopií na druhé ose
  • DATANumber Z: Počet kopií na třetí ose

Pro polární pole:

  • DATAOsy: Kolmý směr kruhového pole
  • DATAStřed: Středový bod pole
  • DATAÚhel: Úhel, který má být kopiemi pokryt
  • DATAPočet kopií: Počet kopií

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

Pro kruhové pole:

 array (objectslist,center,totalangle,totalnum)
  • Vytvoří pole z objektů obsažených v seznamu (může to být objekt nebo seznam objektů), v případě obdélníkového pole, xnum iterací ve směru x se vzdáleností xvector mezi iteracemi, a stejně pro směr y s yvector a ynum. V případě kruhového pole, center je vector, totalangle je úhel, který má být pokryt (ve stupních) a totalnum je počet objektů, včetně originálního.
  • Tato funkce produkuje samostatné kopie základního objektu(ů)

Parametric array

Pro obdélníkové pole:

 makeArray (object,xvector,yvector,xnum,ynum)

Pro kruhové pole:

 makeArray (object,center,totalangle,totalnum)
  • Vytváří pole z daného objektu, v případě obdélníkového pole, xnum iterací ve směru x se vzdáleností xvector mezi iteracemi, a stejně pro směr y s yvector a ynum. V případě kruhového pole, center je vector, totalangle je úhel, který má být pokryt (ve stupních) a totalnum je počet objektů, včetně originálního.
  • Výsledkem této funkce je parametrický objekt pole.

Příklad:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe